{ pkgs ? import <nixpkgs> {} }:

with pkgs;

let
  nimlibs = stdenv.mkDerivation {
    pname = "nimlibs";
    version = nim.version;
    src = nim;
    nativeBuildInputs = [ nim ];
    buildPhase = ''
      nim c -d:release --nimcache:$PWD -o:libnimrtl.so lib/nimrtl.nim
      nim c -d:release --nimcache:$PWD -o:libnimhcr.so lib/nimhcr.nim
    '';
    installPhase = ''
      install -Dm644 libnimrtl.so $out/lib/libnimrtl.so
      install -Dm644 libnimhcr.so $out/lib/libnimhcr.so
    '';
  };

in stdenv.mkDerivation {
  pname = "oeffisearch";
  version = "0.1.0";
  nativeBuildInputs = [ nim ];
  LD_LIBRARY_PATH = lib.makeLibraryPath [ openssl nim nimlibs ];
  CACHE_PATH = toString ./cache;
  NIX_ENFORCE_PURITY = 0;
  shellHook = ''
    #nimble run --hotcodereloading:on oeffisearch
    nimble run oeffisearch
    exit
  '';
}
